Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface ILogicalStructureTypeDelegate

All Known Subinterfaces:
  ILogicalStructureType

    public interface ILogicalStructureTypeDelegate

A delegate that provides a value representing the logical structure of a raw implementation value from a debug model. Associated with a logical structure type extension.

Clients contributing logical structure types should implement this interface.

Since:
  3.0
See Also:
  `ILogicalStructureType`

Method Summary
`IValue` `getLogicalStructure(IValue value)` Returns a value representing a logical structure of the given value.
`boolean` `providesLogicalStructure(IValue value)` Returns whether this structure type can provide a logical structure for the given value.

Method Detail

### providesLogicalStructure

    boolean providesLogicalStructure(IValue value)

  Returns whether this structure type can provide a logical structure for the given value.

  Parameters:
    `value` - value for which a logical structure is being requested
  Returns:
    whether this structure type can provide a logical structure for the given value

### getLogicalStructure

    IValue getLogicalStructure(IValue value)
                               throws CoreException

  Returns a value representing a logical structure of the given value.

  Parameters:
    `value` - value for which a logical structure is being requested
  Returns:
    value representing logical structure
  Throws:
    `CoreException` - if an exception occurs generating a logical structure

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.